Subject: [PATCH V3 1/2] dt-bindings: pinctrl: add imx7ulp pinctrl binding doc

From: [email-masked] (Shawn Guo)
Date: Thu, 25 May 2017 15:42:59 +0800

On Thu, May 25, 2017 at 05:06:56AM +0000, A.S. Dong wrote:
> > > > +=== Pin Configuration Node ===
> > > > +- pins: One integers array, represents a group of pins mux setting.
> > > > +	The format is fsl,pins = <PIN_FUNC_ID>, PIN_FUNC_ID is a pin
> > > > +working
> > > on
> > > > +	a specific function.
> > > > +
> > > > +	NOTE: i.MX7ULP PIN_FUNC_ID consists of 4 integers as it shares one
> > > mux
> > > > +	and config register as follows:
> > > > +	<mux_conf_reg input_reg mux_mode input_val>
> > >
> > > As your PIN_FUNC_ID specifies both the pin ids and their mux settings,
> > > shouldn't you use the newly documented 'pinmux' property in place of
> > > 'pins'?
> > >
> > > Please see
> > > https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/com
> > > mit/ ?id=8d5e7c5df0a6c442373628be5221321172b1badf
> > >
> > > The current documentation specifies pin ids and mux settings have to
> > > be assembled in one single integer, which is not your case, but that
> > > can be changed to make it accept an array of integers values if needed.
> > >
> > 
> > Thanks for the info.
> > Looks good to me.
> > 
> > Shawn & Linus,
> > Are you okay with this?
> > 
> > If yes, I can extend the standard 'pinmux' property to support integer
> > array and renew the patch series to use it.
> > 
> 
> Would you comment on this question?
> 
> Then I can decide whether sent a new series based on it.

I'm fine with it.  But what's important is whether Linus is fine with
extending the standard 'pinmux' property to cover IMX case.

Shawn